#ifndef _DRV_VERSION_H
#define _DRV_VERSION_H

/******************************************************************************

                            Copyright (c) 2009-2012
                            Lantiq Deutschland GmbH
                     Am Campeon 3; 85579 Neubiberg, Germany

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

******************************************************************************/

#include "drv_vmmc_ll_if_version.h"

#define MAJORSTEP    1
#define MINORSTEP    10
#define VERSIONSTEP  3
#define VERS_TYPE    5

/* Minimum version of firmware required */
#ifdef SYSTEM_DANUBE
#define MIN_FW_MAJORSTEP   13
#define MIN_FW_MINORSTEP   0
#define MIN_FW_HOTFIXSTEP  0
#elif defined(SYSTEM_AR9)
#define MIN_FW_MAJORSTEP   5
#define MIN_FW_MINORSTEP   0
#define MIN_FW_HOTFIXSTEP  0
#elif  defined(SYSTEM_VR9)
#define MIN_FW_MAJORSTEP   3
#define MIN_FW_MINORSTEP   0
#define MIN_FW_HOTFIXSTEP  0
#elif  defined(SYSTEM_FALCON)
#define MIN_FW_MAJORSTEP   2
#define MIN_FW_MINORSTEP   0
#define MIN_FW_HOTFIXSTEP  0
#elif defined(SYSTEM_XRX300)
#define MIN_FW_MAJORSTEP   1
#define MIN_FW_MINORSTEP   0
#define MIN_FW_HOTFIXSTEP  0
#else
#error unknown system
#endif

#endif /* _DRV_VERSION_H */
